observer3d {rgl} | R Documentation

## Set the observer location.

### Description

This function sets the location of the viewer.

### Usage

    observer3d(x, y = NULL, z = NULL, auto = FALSE)

### Arguments

`x, y, z` | The location as a 3 vector, using the usual `xyz.coords` conventions for specification. If `x` is missing or any coordinate is `NA`, no change will be made to the location.
`auto` | If `TRUE`, the location will be set automatically by rgl to make the whole bounding box visible.

### Details

This function sets the location of the viewer relative to the scene, after the model transformations (scaling, rotation) have been done, but before lighting or projection have been applied. (See `par3d` for details on the rendering pipeline.)

The coordinate system is a slightly strange one: the X coordinate moves the observer location from left to right, and the Y coordinate moves up and down. The Z coordinate changes the depth from the viewer. All are measured relative to the center of the bounding box (`par("bbox")`) of the subscene. The observer always looks in the positive Z direction after the model rotation have been done. The coordinates are in post-scaling units.

### Value

Invisibly returns the previous value.

### Note

This function is likely to change in future versions of rgl, to allow more flexibility in the specification of the observer's location and orientation.

### Author(s)

Duncan Murdoch

### Examples

    example(surface3d)  # The volcano data
    observer3d(0, 0, 440) # Viewed from very close up

[Package rgl version 0.99.16 Index]